<?php
/**
Package: Simply Works Core
Title: Simply Works Core
Copyright: Copyright (c) Simply Works Consulting, Inc.
Company: Simply Works Consulting, Inc.
Created: 09/09/10
Author: Jason Huber
Version: 1.4.0
Description: Functions file 
 */ 

// Set the content width based on the theme's design and stylesheet.
$content_width = 675;

/*  New in version 3.0  */
add_theme_support(' automatic-feed-links ');
// This theme allows users to set a custom background
add_custom_background();

/* New starting version 2.9 */
add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size( 200, 200, true ); // 200 pixels wide by 200 pixels tall, hard crop mode
add_image_size( 'single-post-thumbnail', 400, 9999 ); // Permalink thumbnail size

/* Top Menu bars   - */
function swc_top_menus() {
	register_nav_menus(
		array(
			'primary-menu' => __( 'Primary Menu' ),
			'secondary-menu' => __( 'Secondary Menu' )
		)
	);
}
add_action( 'init', 'swc_top_menus' );


// Widget Areas //
if ( function_exists('register_sidebar') ) {	    
    
	// Top Ad Area//
    register_sidebar(array('name'=>'Header Ad', 'id' => 'header-ad',
		'description' => __( 'use the TEXT widget to add your code for 486X60 ad space', 'simplyworks' ),'before_widget'=>'<div id="headerad">','after_widget' => '</div>')); 
 
    // Side Blocks  //
	register_sidebar( array('name' => __( 'Sidebar Top', 'simplyworks' ),'id' => 'sidebar-top','description' => __( 'Sidebar 330px wide area', 'simplyworks' ),'before_title' => '<h3>','after_title' => '</h3>',) );
	register_sidebar( array('name' => __( 'Sidebar Bottom Left', 'simplyworks' ),'id' => 'sidebar-bottom-left','description' => __( 'will display below Sidebar Top narrow bar ', 'simplyworks' ),'before_title' => '<h4>','after_title' => '</h4>',) );
    register_sidebar( array('name' => __( 'Sidebar Bottom Right', 'simplyworks' ),'id' => 'sidebar-bottom-right','description' => __( 'will display below Sidebar Top narrow bar', 'simplyworks' ),'before_title' => '<h4>','after_title' => '</h4>',) );
	
		// Footer Blocks  //
	register_sidebar( array('name' => __( 'Footer Left', 'simplyworks' ),'id' => 'footer-left','before_widget' => '<div class="flinks">','after_widget' => '</div>','before_title' => '<h3>','after_title' => '</h3>',) );
	register_sidebar( array('name' => __( 'Footer Center', 'simplyworks' ),'id' => 'footer-center','before_widget' => '<div class="flinks">','after_widget' => '</div>','before_title' => '<h3>','after_title' => '</h3>',) );
	register_sidebar( array('name' => __( 'Footer Right', 'simplyworks' ),'id' => 'footer-right','before_widget' => '<div class="flinks">','after_widget' => '</div>','before_title' => '<h3>','after_title' => '</h3>',) );
		
}

//  Most comment custom function //
function swc_list_most_commented() {
  global $wpdb;
  $posts = $wpdb->get_results("SELECT comment_count,ID,post_title,post_status FROM $wpdb->posts ORDER BY comment_count DESC LIMIT 0 , 6");
  foreach ($posts as $post) {
    $postid = $post->ID;
	$title = $post->post_title;
	$commentcount = $post->comment_count;
	$poststatus = $post->post_status;
	if (($commentcount) && ($poststatus = 'publish')) { ?>
      <li><a href="<?php echo get_permalink($postid); ?>" title="<?php echo $title ?>"><?php echo $title ?></a></li> 	
      <?php }
  }
}


// Limit  Charcters 
// NOTE: if the user inputs the <!-- more --> tag < $max_char you will end up 2 read more links
// This should be used in child theme custom home pages with very short character limit of 100 or less
function swc_the_content_limit($max_char, $more_link_text = '(more...)', $stripteaser = 0, $more_file = '') {
    $content = get_the_content($more_link_text, $stripteaser, $more_file);
    $content = apply_filters('the_content', $content);
    $content = str_replace(']]>', ']]&gt;', $content);
    $content = strip_tags($content);

   if (strlen($_GET['p']) > 0) {
      echo "<p>";
      echo $content;
      echo "&nbsp;<a href='";
      the_permalink();
      echo "'>".__("Read More", 'simplyworks')." &rarr;</a>";
      echo "</p>";
   } else if ((strlen($content)>$max_char) && ($espacio = strpos($content, " ", $max_char ))) {
        $content = substr($content, 0, $espacio);
        $content = $content;
        echo "<p>";
        echo $content;
        echo "...";
        echo "&nbsp;<a href='";
        the_permalink();
        echo "'>".$more_link_text."</a>";
        echo "</p>";
   } else {
      echo "<p>";
      echo $content;
      echo "&nbsp;<a href='";
      the_permalink();
      echo "'>".__("Read More", 'simplyworks')." &rarr;</a>";
      echo "</p>";
   }
}

?>
