<?php
/*
Package: Simply Works Core
Title: Simply Works Core
Copyright: Copyright (c) Simply Works Consulting, Inc.
Company: Simply Works Consulting, Inc.
Created: 09/09/10
Author: Jason Huber
Version: 1.4.0
Description: Header include file
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php if (is_home()) { esc_attr(bloginfo('name') ); } elseif (is_category() || is_tag()) { single_cat_title(); echo ' &bull; ' ; esc_attr(bloginfo('name')); } elseif (is_single() || is_page()) { single_post_title(); } else { wp_title('',true); } ?></title>
<link rel="stylesheet" href="<?php esc_url(bloginfo( 'stylesheet_url' )); ?>" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="<?php esc_attr(bloginfo('name')); ?> RSS Feed" href="<?php esc_url(bloginfo('rss2_url')); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<link rel="shortcut icon" href="<?php esc_url(bloginfo('template_url')); ?>/favicon.ico" />
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div id="webpage"><!-- START webpage ID -->
  <div id="header"><!-- START header ID -->
   <div class="wrapper"><!-- START  wrapper CLASS -->
     <div id="headerleft"><!-- Logo area -->
     <h1><a href="<?php echo home_url(); ?>"> <?php esc_attr(strip_tags(bloginfo('name'))); ?> </a></h1> <span><?php esc_attr(strip_tags(bloginfo('description'))); ?></span>
   </div> <!-- End  logo area -->
<div id="headerright"><!-- START header right ID-->
	<?php // Widget area for user to place image or ad code using Appearence > Widget > Text
	  if (is_active_sidebar('header-ad')) : ?>	 
	      <?php dynamic_sidebar('header-ad'); ?>
      <?php endif; 
     ?>      
   </div> <!-- END  header right ID-->
  <div class="clear">&nbsp;</div>
 </div> <!-- END  wrapper CLASS -->
</div> <!-- END  header ID -->

<?php // Menus only show if user create a menu in Appearence > Menu
if ( function_exists( 'register_nav_menu' ) ) {
	if ( has_nav_menu( 'primary-menu' ) ) { ?>
	<div id="navbar">
       <div class="wrapper">
		 <?php wp_nav_menu( array( 'theme_location' => 'primary-menu', 'fallback_cb' => '') ); ?>
       </div>
	</div>
<?php 
   }
  	if ( has_nav_menu( 'secondary-menu' ) ) { ?>
	<div id="subnav">
       <div class="wrapper">
		<?php wp_nav_menu( array( 'theme_location' => 'secondary-menu', 'fallback_cb' => '') ); ?>
       </div>
	</div>
<?php 
  }
}
?>